<?php
/**
* @version $Id: admin.config.html.php 6070 2006-12-20 02:09:09Z robs $
* @package Joomla
* @subpackage Config
* @copyright Copyright (C) 2005 Open Source Matters. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
* Deutsche Uebersetzungen dieser Vollversion von Dieter Lehmann 
* http://www.netboot.ch
*/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

/**
* @package Joomla
* @subpackage Config
*/
class HTML_config {

	function showconfig( &$row, &$lists, $option) {
		global $mosConfig_absolute_path, $mosConfig_live_site, $mosConfig_session_type, $mainframe;

		$tabs = new mosTabs(0);
		?>
		<script type="text/javascript">
		<!--
		function saveFilePerms() {
			var f = document.adminForm;
			if (f.filePermsMode0.checked)
				f.config_fileperms.value = '';
			else {
				var perms = 0;
				if (f.filePermsUserRead.checked) perms += 400;
				if (f.filePermsUserWrite.checked) perms += 200;
				if (f.filePermsUserExecute.checked) perms += 100;
				if (f.filePermsGroupRead.checked) perms += 40;
				if (f.filePermsGroupWrite.checked) perms += 20;
				if (f.filePermsGroupExecute.checked) perms += 10;
				if (f.filePermsWorldRead.checked) perms += 4;
				if (f.filePermsWorldWrite.checked) perms += 2;
				if (f.filePermsWorldExecute.checked) perms += 1;
				f.config_fileperms.value = '0'+''+perms;
			}
		}
		function changeFilePermsMode(mode) {
			if(document.getElementById) {
				switch (mode) {
					case 0:
						document.getElementById('filePermsValue').style.display = 'none';
						document.getElementById('filePermsTooltip').style.display = '';
						document.getElementById('filePermsFlags').style.display = 'none';
						break;
					default:
						document.getElementById('filePermsValue').style.display = '';
						document.getElementById('filePermsTooltip').style.display = 'none';
						document.getElementById('filePermsFlags').style.display = '';
				} // switch
			} // if
			saveFilePerms();
		}
		function saveDirPerms() {
			var f = document.adminForm;
			if (f.dirPermsMode0.checked)
				f.config_dirperms.value = '';
			else {
				var perms = 0;
				if (f.dirPermsUserRead.checked) perms += 400;
				if (f.dirPermsUserWrite.checked) perms += 200;
				if (f.dirPermsUserSearch.checked) perms += 100;
				if (f.dirPermsGroupRead.checked) perms += 40;
				if (f.dirPermsGroupWrite.checked) perms += 20;
				if (f.dirPermsGroupSearch.checked) perms += 10;
				if (f.dirPermsWorldRead.checked) perms += 4;
				if (f.dirPermsWorldWrite.checked) perms += 2;
				if (f.dirPermsWorldSearch.checked) perms += 1;
				f.config_dirperms.value = '0'+''+perms;
			}
		}
		function changeDirPermsMode(mode) 	{
			if(document.getElementById) {
				switch (mode) {
					case 0:
						document.getElementById('dirPermsValue').style.display = 'none';
						document.getElementById('dirPermsTooltip').style.display = '';
						document.getElementById('dirPermsFlags').style.display = 'none';
						break;
					default:
						document.getElementById('dirPermsValue').style.display = '';
						document.getElementById('dirPermsTooltip').style.display = 'none';
						document.getElementById('dirPermsFlags').style.display = '';
				} // switch
			} // if
			saveDirPerms();
		}
		function submitbutton(pressbutton) {
			var form = document.adminForm;

			// do field validation
			if (form.config_session_type.value != <?php echo $row->config_session_type; ?> ){
				if ( confirm('Sind sie sicher, dass Sie die Methode zur Sessionverwaltung &auml;ndern wollen? \n\n Dadurch werden alle existierenden Sessions gel&ouml;scht \n\n') ) {
					submitform( pressbutton );
				} else {
					return;
				}
			} else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		<form action="index2.php" method="post" name="adminForm">
		<div id="overDiv" style="position:absolute; visibility:hidden; z-index:10000;"></div>
		<table cellpadding="1" cellspacing="1" border="0" width="100%">
		<tr>
			<td width="250"><table class="adminheading"><tr><th nowrap="nowrap" class="config">globale Konfiguration</th></tr></table></td>
			<td width="270">
				<span class="componentheading">configuration.php hat
				<?php echo is_writable( '../configuration.php' ) ? '<b><font color="green"> Schreibrechte</font></b>' : '<b><font color="red"> keine Schreibrechte</font></b>' ?>
				</span>
			</td>
			<?php
			if (mosIsChmodable('../configuration.php')) {
				if (is_writable('../configuration.php')) {
					?>
					<td>
						<input type="checkbox" id="disable_write" name="disable_write" value="1"/>
						<label for="disable_write">Schreibrechte nach Speichern entziehen</label>
					</td>
					<?php
				} else {
					?>
					<td>
						<input type="checkbox" id="enable_write" name="enable_write" value="1"/>
						<label for="enable_write">Schreibschutz beim Speichern &uuml;berschreiben</label>
					</td>
				<?php
				} // if
			} // if
			?>
		</tr>
		</table>
			<?php
		$tabs->startPane("configPane");
		$tabs->startTab("Seite","site-page");
			?>
			<table class="adminform">
			<tr>
				<td width="185">Internetaufftritt offline:</td>
				<td><?php echo $lists['offline']; ?></td>
			</tr>
			<tr>
				<td valign="top">Nachricht:</td>
				<td><textarea class="text_area" cols="60" rows="2" style="width:500px; height:40px" name="config_offline_message"><?php echo $row->config_offline_message; ?></textarea><?php
					$tip = 'Die Nachricht, die angezeigt qwird, wenn die Seite offline ist';
					echo mosToolTip( $tip );
				?></td>
			</tr>
			<tr>
				<td valign="top">Fehlermeldung:</td>
				<td><textarea class="text_area" cols="60" rows="2" style="width:500px; height:40px" name="config_error_message"><?php echo $row->config_error_message; ?></textarea><?php
					$tip = 'Nachricht, die angezeigt wird, wenn sich Joomla nicht mit der Datenbank verbinden kann';
					echo mosToolTip( $tip );
				?></td>
			</tr>
			<tr>
				<td>Name:</td>
				<td><input class="text_area" type="text" name="config_sitename" size="50" value="<?php echo $row->config_sitename; ?>"/></td>
			</tr>
			<tr>
				<td>alle Verweise anzeigen:</td>
				<td><?php echo $lists['shownoauth']; ?><?php
					$tip = 'Wenn ja, sieht der Benutzer alle Verweise, auch wenn er nicht angemeldet ist. Gesch&uuml;tzte Inhalte werden dem Benutzer erst nach der Anmeldung angezeigt.';
					echo mosToolTip( $tip );
				?></td>
			</tr>
			<tr>
				<td>Benutzerregistrierung erlauben:</td>
				<td><?php echo $lists['allowUserRegistration']; ?><?php
					$tip = 'Wenn ja, k&ouml;nnen sich die Benutzer selbst registrieren';
					echo mosToolTip( $tip );
				?></td>
			</tr>
			<tr>
				<td>neuen Benutzer pr&uuml;fen:</td>
				<td><?php echo $lists['useractivation']; ?>
				<?php
					$tip = 'Wenn ja, wird einem neuen Benutzer eine E-Mail mit einem Verweis zugeschickt. Erst nach dem anklicken des Verweises wird der Benutzer freigeschaltet.';
					echo mosToolTip( $tip );
				?></td>
			</tr>
			<tr>
				<td>eindeutige E-Mail Adresse:</td>
				<td><?php echo $lists['uniquemail']; ?><?php
					$tip = 'Wenn ja, k&ouml;nnen sich nicht mehrere Benutzer eine E-Mail Adresse teilen';
					echo mosToolTip( $tip );
				?></td>
			</tr>
			<tr>
				<td>Anmelden &uuml;ber Internetauftritt:</td>
				<td>
					<?php echo $lists['frontend_login']; ?>
					<?php
					$tip = 'Wenn nein, wird im Internetauftritt die Anmeldeseite gesperrt, selbst wenn ein Verweis daruf existiert.';
					echo mosToolTip( $tip );
					?>
				</td>
			</tr>
			<tr>
				<td>Benutzerparameter:</td>
				<td>
					<?php echo $lists['frontend_userparams']; ?>
					<?php
					$tip = 'Wenn nein, wird im Internetauftritt dem  Benutzer die Funktionalit&auml;ten ausgeschaltet';
					echo mosToolTip( $tip );
					?>
				</td>
			</tr>
			<tr>
				<td>Diagnose:</td>
				<td>
					<?php echo $lists['debug']; ?>
					<?php
					$tip = 'Wenn ja, werden Diagnoseinformationen und vorhandene SQL-Fehler angezeigt.';
					echo mosToolTip( $tip );
					?>
				</td>
			</tr>
			<tr>
				<td>standard WYSIWYG Editor:</td>
				<td><?php echo $lists['editor']; ?></td>
			</tr>
			<tr>
				<td>Listenl&auml;nge:</td>
				<td>
					<?php echo $lists['list_limit']; ?>
					<?php
					$tip = 'Setzt die Anzahl der Eintr&auml;ge in Listen des Administrationsbereiches';
					echo mosToolTip( $tip );
					?>
				</td>
			</tr>
			<tr>
				<td>Seitengrafik:</td>
				<td>
				<input class="text_area" type="text" name="config_favicon" size="20" value="<?php echo $row->config_favicon; ?>"/>
				<?php
				$tip = 'Wenn dieser Wert leer gelassen wird, oder die Graqfik nicht gefunden wird, so wird die Standardgrafik favicon.ico genutzt.';
				echo mosToolTip( $tip, 'Favourite Icon' );
				?>
				</td>
			</tr>
			</table>
			<?php
		$tabs->endTab();
		$tabs->startTab("Lokalisierung","Locale-page");
			?>
			<table class="adminform">
			<tr>
				<td width="185">Sprache:</td>
				<td><?php echo $lists['lang']; ?></td>
			</tr>
			<tr>
				<td width="185">Zeitzone:</td>
				<td>
				<?php echo $lists['offset']; ?>
				<?php
				$tip = "Das aktuelle Datum wird folgenderma&szlig;en dargestellt: " . mosCurrentDate(_DATE_FORMAT_LC2);
				echo mosToolTip($tip);
				?>
				</td>
			</tr>
			<tr>
				<td width="185">Zeitdifferenz Rechner:</td>
				<td>
				<input class="text_area" type="text" name="config_offset" size="15" value="<?php echo $row->config_offset; ?>" disabled="true"/>
				</td>
			</tr>
			<tr>
				<td width="185">L&auml;ndercode:</td>
				<td>
				<input class="text_area" type="text" name="config_locale" size="15" value="<?php echo $row->config_locale; ?>"/>
				</td>
			</tr>
			</table>
			<?php
		$tabs->endTab();
		$tabs->startTab("Inhalte","content-page");
			?>
			<table class="adminform">
			<tr>
				<td colspan="3">* Diese Parameter kontrollieren Output Elemente*<br/><br/></td>
			</tr>
			<tr>
				<td width="200">Title als Verweis:</td>
				<td width="100"><?php echo $lists['link_titles']; ?></td>
				<td><?php
					$tip = 'Wenn ja, werden die Titel als Verweis dargestellt.';
					echo mosToolTip( $tip );
				?></td>
			</tr>
			<tr>
				<td width="200">Read More Link:</td>
				<td width="100"><?php echo $lists['readmore']; ?></td>
				<td><?php
					$tip = 'Der Verweis "mehr" wird angezeigt, wenn der Inhalt einen Haupttext hat.';
					echo mosToolTip( $tip );
				?></td>
			</tr>
			<tr>
				<td>Bewertungssystem:</td>
				<td><?php echo $lists['vote']; ?></td>
				<td><?php
					$tip = 'Das Bewertungssystem f&uuml;r Inhalte wird angezeigt.';
					echo mosToolTip( $tip );
				?></td>
			</tr>
			<tr>
				<td>Autor:</td>
				<td><?php echo $lists['hideAuthor']; ?></td>
				<td><?php
					$tip = 'Der Name des Autors wird angezeigt. Diese globale Einstellung kann beim jedem Inhalt individuell &uuml;berschrieben werden.';
					echo mosToolTip( $tip );
				?></td>
			</tr>
			<tr>
				<td>Erstellungsdatum:</td>
				<td><?php echo $lists['hideCreateDate']; ?></td>
				<td><?php
					$tip = 'Das Erstellungsdatum des Inhalts wird angezeigt. Diese globale Einstellung kann beim jedem Inhalt individuell &uuml;berschrieben werden.';
					echo mosToolTip( $tip );
				?></td>
			</tr>
			<tr>
				<td>&Auml;nderungsdatum:</td>
				<td><?php echo $lists['hideModifyDate']; ?></td>
				<td><?php
					$tip = 'Das &Auml;nderungsdatum des Inhalts wird angezeigt. Diese globale Einstellung kann beim jedem Inhalt individuell &uuml;berschrieben werden.';
					echo mosToolTip( $tip );
				?></td>
			</tr>
			<tr>
				<td>Zugriffe:</td>
				<td><?php echo $lists['hits']; ?></td>
				<td><?php
					$tip = 'Die Anzahl der Zugriffe auf einenI nhalt werden angezeigt. Diese globale Einstellung kann beim jedem Inhalt individuell &uuml;berschrieben werden.';
					echo mosToolTip( $tip );
				?></td>
			</tr>
			<tr>
				<td>PDF Grafik:</td>
				<td><?php echo $lists['hidePdf']; ?></td>
				<?php
				if (!is_writable( "$mosConfig_absolute_path/media/" )) {
					echo "<td align=\"left\">";
					echo mosToolTip('Diese Option steht nicht zur Verf&uuml;gung, wenn das Verzeichnis /media keine Schreibrechte hat.');
					echo "</td>";
				} else {
					?>
					<td>&nbsp;</td>
					<?php
				}
				?>
			</tr>
			<tr>
				<td>Druck Grafik:</td>
				<td><?php echo $lists['hidePrint']; ?></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>E-Mail Grafik:</td>
				<td><?php echo $lists['hideEmail']; ?></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>Grafiken:</td>
				<td><?php echo $lists['icons']; ?></td>
				<td><?php echo mosToolTip('Druck, PDF und E-Mail werden als Grafik oder Text dargestellt.'); ?></td>
			</tr>
			<tr>
				<td>Inhaltsverzeichnis bei mehreren Seiten:</td>
				<td><?php echo $lists['multipage_toc']; ?></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>zur&uuml;ck Knopf:</td>
				<td><?php echo $lists['back_button']; ?></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>Inhaltsnavigation:</td>
				<td><?php echo $lists['item_navigation']; ?></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>Itemid kompatibilit&auuml;ts Modus:</td>
				<td><?php echo $lists['itemid_compat']; ?></td>
				<td>&nbsp;</td>
			</tr>
			</table>
			<input type="hidden" name="config_multilingual_support" value="<?php echo $row->config_multilingual_support?>">
			<?php
		$tabs->endTab();
		$tabs->startTab("Database","db-page");
			?>
			<table class="adminform">
			<tr>
				<td width="185">Rechnername:</td>
				<td><input class="text_area" type="text" name="config_host" size="25" value="<?php echo $row->config_host; ?>"/></td>
			</tr>
			<tr>
				<td>MySQL Benutzername:</td>
				<td><input class="text_area" type="text" name="config_user" size="25" value="<?php echo $row->config_user; ?>"/></td>
			</tr>
			<tr>
				<td>MySQL Datenbank:</td>
				<td><input class="text_area" type="text" name="config_db" size="25" value="<?php echo $row->config_db; ?>"/></td>
			</tr>
			<tr>
				<td>MySQL Datenbank Prefix:</td>
				<td>
				<input class="text_area" type="text" name="config_dbprefix" size="10" value="<?php echo $row->config_dbprefix; ?>"/>
				&nbsp;<?php echo mosWarning('!! &Auml;ndern Sie diese Einstellung nicht, bevor Sie Tabellen mit dem neuen Prefix aufgebaut haben !!'); ?>
				</td>
			</tr>
			</table>
			<?php
		$tabs->endTab();
		$tabs->startTab("Rechner","server-page");
			?>
			<table class="adminform">
			<tr>
				<td width="185">absoluter Pfad:</td>
				<td width="450"><strong><?php echo $row->config_absolute_path; ?></strong></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>Startseite:</td>
				<td><strong><?php echo $row->config_live_site; ?></strong></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>Geheimwort:</td>
				<td><strong><?php echo $row->config_secret; ?></strong></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>GZIP Seitenkompression:</td>
				<td>
				<?php echo $lists['gzip']; ?>
				<?php echo mosToolTip('Komprimiert die HTML-Seiten, bevor sie zum Browser geschickt werden.'); ?>
				</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>Lebensdauer Session Internetauftritt:</td>
				<td>
				<input class="text_area" type="text" name="config_lifetime" size="10" value="<?php echo $row->config_lifetime; ?>"/>
				&nbsp;seconds&nbsp;
				<?php echo mosWarning('Wenn ein Benutzer f&uuml;r diese Zeit inaktiv war, wird er automatisch abgemeldet.'); ?>
				</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>Lebensdauer Session Administrationsbereich:</td>
				<td>
				<input class="text_area" type="text" name="config_session_life_admin" size="10" value="<?php echo $row->config_session_life_admin; ?>"/>
				&nbsp;seconds&nbsp;
				<?php echo mosWarning('Wenn ein Benutzer f&uuml;r diese Zeit inaktiv war, wird er automatisch abgemeldet.'); ?>
				</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>letzte Administratorseite merken:</td>
				<td>
				<?php echo $lists['admin_expired']; ?>
				<?php echo mosToolTip('Wenn die Session abgelaufen ist, und wenn  Sie sich innerhalb von 10 Miniten wieder anmelden, wird die letzte Seite, die Sie vor der automatischen Abmeldung ge&ouml;ffnet hatten, wieder angezeigt.'); ?>
				</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>Sessionspeicherung:</td>
				<td>
				<?php echo $lists['session_type']; ?>
				&nbsp;&nbsp;
				<?php echo mosWarning('&auml;ndern Sie diese Einstellung nicht, wenn Sie nicht genau wissen, was Sie tun!<br /><br /> Wenn Sie viele AOL-Benutzer haben, die &uuml;ber einen Proxy surfen, k&ouml;nnen Sie es mit Level 2 versuchen.' ); ?>
				</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>Fehlermeldungen:</td>
				<td><?php echo $lists['error_reporting']; ?></td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>Hilfe:</td>
				<td><input class="text_area" type="text" name="config_helpurl" size="50" value="<?php echo $row->config_helpurl; ?>"/></td>
			</tr>
			<tr>
				<?php
				$mode = 0;
				$flags = 0644;
				if ($row->config_fileperms!='') {
					$mode = 1;
					$flags = octdec($row->config_fileperms);
				} // if
				?>
				<td valign="top">Dateien erstellen:</td>
				<td>
					<fieldset><legend>Dateirechte</legend>
						<table cellpadding="1" cellspacing="1" border="0">
							<tr>
								<td><input type="radio" id="filePermsMode0" name="filePermsMode" value="0" onclick="changeFilePermsMode(0)"<?php if (!$mode) echo ' checked="checked"'; ?>/></td>
								<td><label for="filePermsMode0">Dateirechte nicht &auml;ndern (Rechnereinstellugen benutzen)</label></td>
							</tr>
							<tr>
								<td><input type="radio" id="filePermsMode1" name="filePermsMode" value="1" onclick="changeFilePermsMode(1)"<?php if ($mode) echo ' checked="checked"'; ?>/></td>
								<td>
									<label for="filePermsMode1">Dateirechte &auml;ndern</label>
									<span id="filePermsValue"<?php if (!$mode) echo ' style="display:none"'; ?>>
									to:	<input class="text_area" type="text" readonly="readonly" name="config_fileperms" size="4" value="<?php echo $row->config_fileperms; ?>"/>
									</span>
									<span id="filePermsTooltip"<?php if ($mode) echo ' style="display:none"'; ?>>
									&nbsp;<?php echo mosToolTip('W&auml;hlen Sie diese Option, um Rechte f&uuml;r neu erstellte Dateien zu vergeben.'); ?>
									</span>
								</td>
							</tr>
							<tr id="filePermsFlags"<?php if (!$mode) echo ' style="display:none"'; ?>>
								<td>&nbsp;</td>
								<td>
									<table cellpadding="0" cellspacing="1" border="0">
										<tr>
											<td style="padding:0px">Besitzer:</td>
											<td style="padding:0px"><input type="checkbox" id="filePermsUserRead" name="filePermsUserRead" value="1" onclick="saveFilePerms()"<?php if ($flags & 0400) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px"><label for="filePermsUserRead">lesen</label></td>
											<td style="padding:0px"><input type="checkbox" id="filePermsUserWrite" name="filePermsUserWrite" value="1" onclick="saveFilePerms()"<?php if ($flags & 0200) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px"><label for="filePermsUserWrite">schreiben</label></td>
											<td style="padding:0px"><input type="checkbox" id="filePermsUserExecute" name="filePermsUserExecute" value="1" onclick="saveFilePerms()"<?php if ($flags & 0100) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px" colspan="3"><label for="filePermsUserExecute">ausf&uuml;hren</label></td>
										</tr>
										<tr>
											<td style="padding:0px">Gruppe:</td>
											<td style="padding:0px"><input type="checkbox" id="filePermsGroupRead" name="filePermsGroupRead" value="1" onclick="saveFilePerms()"<?php if ($flags & 040) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px"><label for="filePermsGroupRead">lesen</label></td>
											<td style="padding:0px"><input type="checkbox" id="filePermsGroupWrite" name="filePermsGroupWrite" value="1" onclick="saveFilePerms()"<?php if ($flags & 020) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px"><label for="filePermsGroupWrite">schreiben</label></td>
											<td style="padding:0px"><input type="checkbox" id="filePermsGroupExecute" name="filePermsGroupExecute" value="1" onclick="saveFilePerms()"<?php if ($flags & 010) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px" width="70"><label for="filePermsGroupExecute">ausf&uuml;hren</label></td>
											<td><input type="checkbox" id="applyFilePerms" name="applyFilePerms" value="1"/></td>
											<td nowrap="nowrap">
												<label for="applyFilePerms">
													auf existierende Dateien anwenden
													&nbsp;<?php
													echo mosWarning(
														'Wenn Sie diesen Haken setzen, werden die neuen Rechte auf <em>alle existierenden Dateien</em> innerhalb von Joomla angewendet.<br/>'.
														'<b>Unsachgem&auml;szlig;e Nutztung dieser Option kann die Datestellung der Seite verhindern!</b>'
													);?>
												</label>
											</td>
										</tr>
										<tr>
											<td style="padding:0px">alle Anderen:</td>
											<td style="padding:0px"><input type="checkbox" id="filePermsWorldRead" name="filePermsWorldRead" value="1" onclick="saveFilePerms()"<?php if ($flags & 04) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px"><label for="filePermsWorldRead">lesen</label></td>
											<td style="padding:0px"><input type="checkbox" id="filePermsWorldWrite" name="filePermsWorldWrite" value="1" onclick="saveFilePerms()"<?php if ($flags & 02) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px"><label for="filePermsWorldWrite">schreiben</label></td>
											<td style="padding:0px"><input type="checkbox" id="filePermsWorldExecute" name="filePermsWorldExecute" value="1" onclick="saveFilePerms()"<?php if ($flags & 01) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px" colspan="4"><label for="filePermsWorldExecute">ausf&uuml;hren</label></td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</fieldset>
				</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<?php
				$mode = 0;
				$flags = 0755;
				if ($row->config_dirperms!='') {
					$mode = 1;
					$flags = octdec($row->config_dirperms);
				} // if
				?>
				<td valign="top">Verzeichnisse erstellen:</td>
				<td>
					<fieldset><legend>Verzeichnisrechte</legend>
						<table cellpadding="1" cellspacing="1" border="0">
							<tr>
								<td><input type="radio" id="dirPermsMode0" name="dirPermsMode" value="0" onclick="changeDirPermsMode(0)"<?php if (!$mode) echo ' checked="checked"'; ?>/></td>
								<td><label for="dirPermsMode0">Verzeichnisrechte nicht &auml;ndern (Rechnereinstellungen benutzen)</label></td>
							</tr>
							<tr>
								<td><input type="radio" id="dirPermsMode1" name="dirPermsMode" value="1" onclick="changeDirPermsMode(1)"<?php if ($mode) echo ' checked="checked"'; ?>/></td>
								<td>
									<label for="dirPermsMode1">Verzeichnisrechte &auml;ndern</label>
									<span id="dirPermsValue"<?php if (!$mode) echo ' style="display:none"'; ?>>
									to: <input class="text_area" type="text" readonly="readonly" name="config_dirperms" size="4" value="<?php echo $row->config_dirperms; ?>"/>
									</span>
									<span id="dirPermsTooltip"<?php if ($mode) echo ' style="display:none"'; ?>>
									&nbsp;<?php echo mosToolTip('W&auml;hlen Sie diese Option, um Rechte f&uuml;r neu erstellte Verzeichnisse zu vergeben.'); ?>
									</span>
								</td>
							</tr>
							<tr id="dirPermsFlags"<?php if (!$mode) echo ' style="display:none"'; ?>>
								<td>&nbsp;</td>
								<td>
									<table cellpadding="1" cellspacing="0" border="0">
										<tr>
											<td style="padding:0px">Besitzer:</td>
											<td style="padding:0px"><input type="checkbox" id="dirPermsUserRead" name="dirPermsUserRead" value="1" onclick="saveDirPerms()"<?php if ($flags & 0400) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px"><label for="dirPermsUserRead">lesen</label></td>
											<td style="padding:0px"><input type="checkbox" id="dirPermsUserWrite" name="dirPermsUserWrite" value="1" onclick="saveDirPerms()"<?php if ($flags & 0200) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px"><label for="dirPermsUserWrite">schreiben</label></td>
											<td style="padding:0px"><input type="checkbox" id="dirPermsUserSearch" name="dirPermsUserSearch" value="1" onclick="saveDirPerms()"<?php if ($flags & 0100) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px" colspan="3"><label for="dirPermsUserSearch">durchsuchen</label></td>
										</tr>
										<tr>
											<td style="padding:0px">Gruppe:</td>
											<td style="padding:0px"><input type="checkbox" id="dirPermsGroupRead" name="dirPermsGroupRead" value="1" onclick="saveDirPerms()"<?php if ($flags & 040) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px"><label for="dirPermsGroupRead">lesen</label></td>
											<td style="padding:0px"><input type="checkbox" id="dirPermsGroupWrite" name="dirPermsGroupWrite" value="1" onclick="saveDirPerms()"<?php if ($flags & 020) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px"><label for="dirPermsGroupWrite">schreiben</label></td>
											<td style="padding:0px"><input type="checkbox" id="dirPermsGroupSearch" name="dirPermsGroupSearch" value="1" onclick="saveDirPerms()"<?php if ($flags & 010) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px" width="70"><label for="dirPermsGroupSearch">durchsuchen</label></td>
											<td><input type="checkbox" id="applyDirPerms" name="applyDirPerms" value="1"/></td>
											<td nowrap="nowrap">
												<label for="applyDirPerms">
													auf existierende Verzeichnisse anwenden
													&nbsp;<?php
													echo mosWarning(
														'Wenn Sie diesen Haken setzen, werden die neuen Rechte auf <em>alle existierenden Verzeichnisse</em> innerhalb von Joomla angewendet.<br/>'.
														'<b>Unsachgem&auml;szlig;e Nutztung dieser Option kann die Datestellung der Seite verhindern!</b>'
													);?>
												</label>
											</td>
										</tr>
										<tr>
											<td style="padding:0px">alle Anderen:</td>
											<td style="padding:0px"><input type="checkbox" id="dirPermsWorldRead" name="dirPermsWorldRead" value="1" onclick="saveDirPerms()"<?php if ($flags & 04) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px"><label for="dirPermsWorldRead">lesen</label></td>
											<td style="padding:0px"><input type="checkbox" id="dirPermsWorldWrite" name="dirPermsWorldWrite" value="1" onclick="saveDirPerms()"<?php if ($flags & 02) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px"><label for="dirPermsWorldWrite">schreiben</label></td>
											<td style="padding:0px"><input type="checkbox" id="dirPermsWorldSearch" name="dirPermsWorldSearch" value="1" onclick="saveDirPerms()"<?php if ($flags & 01) echo ' checked="checked"'; ?>/></td>
											<td style="padding:0px" colspan="3"><label for="dirPermsWorldSearch">durchsuchen</label></td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</fieldset>
				</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<?php
				$rgmode = 0;
				if( defined( 'RG_EMULATION' ) ) {
					$rgmode = RG_EMULATION;
				}
				?>
				<td valign="top">Register Globals Emulation:</td>
				<td>
					<fieldset><legend>Register Globals Emulation</legend>
						<table cellpadding="1" cellspacing="1" border="0">
							<tr>
								<td><input type="radio" id="rgemulation" name="rgemulation" value="0"<?php if (!$rgmode) echo ' checked="checked"'; ?>/></td>
								<td><label for="rgemulation">OFF - mehr Sicherheit und empfohlene Einstellung</label></td>
							</tr>
							<tr>
								<td><input type="radio" id="rgemulation" name="rgemulation" value="1"<?php if ($rgmode) echo ' checked="checked"'; ?>/></td>
								<td><label for="rgemulation">ON - bessere Kompatibilit&auml;t aber weniger Sicherheit</label></td>
							</tr>
							</tr>
						</table>
					</fieldset>
				</td>
				<td>&nbsp;</td>
			</tr>

			</table>
			<?php
		$tabs->endTab();
		$tabs->startTab("Metadata","metadata-page");
			?>
			<table class="adminform">
			<tr>
				<td width="185" valign="top">META-Tag Description:</td>
				<td><textarea class="text_area" cols="50" rows="3" style="width:500px; height:50px" name="config_MetaDesc"><?php echo $row->config_MetaDesc; ?></textarea></td>
			</tr>
			<tr>
				<td valign="top">META-Tag Keywords:</td>
				<td><textarea class="text_area" cols="50" rows="3" style="width:500px; height:50px" name="config_MetaKeys"><?php echo $row->config_MetaKeys; ?></textarea></td>
			</tr>
			<tr>
				<td valign="top">META-Tag Title anzeigen:</td>
				<td>
				<?php echo $lists['MetaTitle']; ?>
				&nbsp;&nbsp;&nbsp;
				<?php echo mosToolTip('F&uuml;gt einen META-Tag Title zur Seite hinzu, wenn ein Inhalt angesehen wird.'); ?>
				</td>
			  	</tr>
			<tr>
				<td valign="top">META-Tag Author anzeigen:</td>
				<td>
				<?php echo $lists['MetaAuthor']; ?>
				&nbsp;&nbsp;&nbsp;
				<?php echo mosToolTip('F&uuml;gt einen META-Tag Author zur Seite hinzu, wenn ein Inhalt angesehen wird.'); ?>
				</td>
			</tr>
			</table>
			<?php
		$tabs->endTab();
		$tabs->startTab("E-Mail","mail-page");
			?>
			<table class="adminform">
			<tr>
				<td width="185">Mailfunktion:</td>
				<td><?php echo $lists['mailer']; ?></td>
			</tr>
			<tr>
				<td>Mail von:</td>
				<td><input class="text_area" type="text" name="config_mailfrom" size="50" value="<?php echo $row->config_mailfrom; ?>"/></td>
			</tr>
			<tr>
				<td>Name:</td>
				<td><input class="text_area" type="text" name="config_fromname" size="50" value="<?php echo $row->config_fromname; ?>"/></td>
			</tr>
			<tr>
				<td>Pfad zu Sendmail:</td>
				<td><input class="text_area" type="text" name="config_sendmail" size="50" value="<?php echo $row->config_sendmail; ?>"/></td>
			</tr>
			<tr>
				<td>SMTP Auth:</td>
				<td><?php echo $lists['smtpauth']; ?></td>
			</tr>
			<tr>
				<td>SMTP Benutzer:</td>
				<td><input class="text_area" type="text" name="config_smtpuser" size="50" value="<?php echo $row->config_smtpuser; ?>"/></td>
			</tr>
			<tr>
				<td>SMTP Passwort:</td>
				<td><input class="text_area" type="text" name="config_smtppass" size="50" value="<?php echo $row->config_smtppass; ?>"/></td>
			</tr>
			<tr>
				<td>SMTP Rechner:</td>
				<td><input class="text_area" type="text" name="config_smtphost" size="50" value="<?php echo $row->config_smtphost; ?>"/></td>
			</tr>
			</table>
			<?php
		$tabs->endTab();
		$tabs->startTab("Cache","cache-page");
			?>
			<table class="adminform" border="0">
			<?php
			if (is_writeable($row->config_cachepath)) {
				?>
				<tr>
					<td width="185">Caching:</td>
					<td width="500"><?php echo $lists['caching']; ?></td>
					<td>&nbsp;</td>
				</tr>
				<?php
			}
			?>
			<tr>
				<td>Cacheverzeichnis:</td>
				<td>
				<input class="text_area" type="text" name="config_cachepath" size="50" value="<?php echo $row->config_cachepath; ?>"/>
				<?php
				if (is_writeable($row->config_cachepath)) {
					echo mosToolTip('Das aktuelle Cache-Verzeichnis hat <b>Schreibrechte</b>');
				} else {
					echo mosWarning('Das aktuelle Cache-Verzeichnis hat <b>keine Schreibrechte</b> - bitte setzen Sie die Berechtigung auf 755 bevor Sie den Zwischenspeicher einschalten.');
				}
				?>
				</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>Cachezeit:</td>
				<td><input class="text_area" type="text" name="config_cachetime" size="5" value="<?php echo $row->config_cachetime; ?>"/> Sekunden</td>
				<td>&nbsp;</td>
			</tr>
			</table>
			<?php
		$tabs->endTab();
		$tabs->startTab("Statistiken","stats-page");
			?>
			<table class="adminform">
			<tr>
				<td width="185">Statistiken:</td>
				<td width="100"><?php echo $lists['enable_stats']; ?></td>
				<td><?php echo mostooltip('startet/stoppt die Sammlung von Statistikdaten'); ?></td>
			</tr>
			<tr>
				<td>Zugriffe nach Datum protokollieren:</td>
				<td><?php echo $lists['log_items']; ?></td>
				<td><span class="error"><?php echo mosWarning('WARNUNG : Eine gro&szlig;e Anzhal von Daten wird gesammelt.'); ?></span></td>
			</tr>
			<tr>
				<td>Suchbegriffe protkollieren:</td>
				<td><?php echo $lists['log_searches']; ?></td>
				<td>&nbsp;</td>
			</tr>
			</table>
			<?php
		$tabs->endTab();
		$tabs->startTab("SEO","seo-page");
			?>
			<table class="adminform">
			<tr>
				<td width="200"><strong>Suchmaschinenoptimierung</strong></td>
				<td width="100">&nbsp;</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>suchmaschinenfreundliche Verweise</td>
				<td><?php echo $lists['sef']; ?>&nbsp;</td>
				<td><span class="error"><?php echo mosWarning('nur Apache! Nennen Sie die Datei htaccess.txt in .htaccess um, bevor Sie diese Option aktivieren.'); ?></span></td>
			</tr>
			<tr>
				<td>dynamische Seitentitel:</td>
				<td><?php echo $lists['pagetitles']; ?></td>
				<td><?php echo mosToolTip('Der Seitentitel wird dynamisch an den aktuellen Inhalt angepasst.'); ?></td>
			</tr>
			</table>
			<?php
		$tabs->endTab();
		$tabs->endPane();

		// show security setting check
		josSecurityCheck();
		?>

		<input type="hidden" name="option" value="<?php echo $option; ?>"/>
		<input type="hidden" name="config_absolute_path" value="<?php echo $row->config_absolute_path; ?>"/>
		<input type="hidden" name="config_live_site" value="<?php echo $row->config_live_site; ?>"/>
		<input type="hidden" name="config_secret" value="<?php echo $row->config_secret; ?>"/>
	  	<input type="hidden" name="task" value=""/>
		</form>
		<script  type="text/javascript" src="<?php echo $mosConfig_live_site;?>/includes/js/overlib_mini.js"></script>
		<?php
	}

}
?>